<?php      
/** 
 *
 * @package Luzuk
 */
if(get_theme_mod('luzuk_them_ct_service_section_disable') != 'on' ){ ?>
	<section id="ct-service-box">

		<?php 
		if( get_theme_mod('sec_servicessectionTpadding',true) ) {
			$sec_servicessectionTpadding = 'padding-top:'.esc_attr(get_theme_mod('sec_servicessectionTpadding')).';';
		}
		if( get_theme_mod('sec_servicessectionBpadding',true) ) {
			$sec_servicessectionBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('sec_servicessectionBpadding')).';';
		}
		if( get_theme_mod('sec_servicessectionLpadding',true) ) {
			$sec_servicessectionLpadding = 'padding-left:'.esc_attr(get_theme_mod('sec_servicessectionLpadding')).';';
		}
		if( get_theme_mod('sec_servicessectionRpadding',true) ) {
			$sec_servicessectionRpadding = 'padding-right:'.esc_attr(get_theme_mod('sec_servicessectionRpadding')).';';
		}
		?>	

		<div class="lightbox wow fadeInDown" style="<?php echo esc_attr($sec_servicessectionTpadding); ?>" "<?php echo esc_attr($sec_servicessectionBpadding); ?>" "<?php echo esc_attr($sec_servicessectionLpadding); ?>" "<?php echo esc_attr($sec_servicessectionRpadding); ?>">
			<?php
		// echo "post id: ". 
			$luzuk_them_ct_service_page_id = get_theme_mod('luzuk_them_ct_service_page');	
		  // echo '<br>title '.		
			
			$luzuk_them_ct_service_text = get_theme_mod('luzuk_them_ct_service_text', 'Our Rooms');
			?>
			
			<div class="container">
				<div class="wow slideInLeft" data-wow-duration="0s">


					<?php if($luzuk_them_ct_service_text){ ?>
						<div class="col-md-6 col-md-offset-3 ht-section-title-tagline">
							<h2 class="ht-section-title ct-service-heading">
								<?php 
								if(!empty($luzuk_them_ct_service_text))	{
									echo ($luzuk_them_ct_service_text);
								} ?>
							</h2>
							<div class="clearfix"></div>
							<div class="titlebor"></div>
						</div>
					<?php }?>

					<div class="clearfix"></div>
					
				</div>
				
				<div class="row"> 
					<!-- <div class="ht-team-member-wrap ht-clearfix"> -->
						<?php 
						$showStatic = true;
						$cols = get_theme_mod('luzuk_them_ct_rooms_npp_count', 3);
						$cols++;
						switch($cols){
					      case 1:
				        $colCls = 'col-md-12 col-sm-12 col-xs-12'; 
				        break;
				        case 2:
				        $colCls = 'col-md-6 col-sm-6 col-xs-12';
				        break;
				        case 3:
				        case 5:
				        case 6:
				        case 9:
				        $colCls = 'col-md-4 col-sm-6 col-xs-12';
				        break;
				        case 4:
				        case 7:
				        case 8:
				        case 10:
				        case 11:
				        case 12:
				        $colCls = 'col-md-3 col-sm-6 col-xs-12';
				        break;
				        default:
				        $colCls = 'col-md-4 col-sm-6 col-xs-12';
				        break;
						}
						$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell'); 
						for( $i = 1; $i <= $cols; $i++ ){
							$luzuk_them_ct_service_page_id = get_theme_mod('luzuk_them_ct_service_page'.$i); 
							$luzuk_them_ct_service_page_icon = get_theme_mod('luzuk_them_ct_service_page_icon'.$i);
							//$luzuk_them_ct_service_icon1 = get_theme_mod('luzuk_them_ct_service_icon1'.$i);
							if($luzuk_them_ct_service_page_id){
								$showStatic = false;
								echo ctroomsShortCode($luzuk_them_ct_service_page_id, $isCustomizer=true, $i);
							}
						}
		// adding the static content
						if($showStatic === true){
							for( $i = 1; $i <= $cols; $i++ ){ ?>
								<!-- <div class="<?php // echo $colCls;?> wow zoomIn padding0" data-wow-duration="3s"> -->
									<div class="<?php echo $colCls; ?>">
										<div class="our-homepage-services">
											<div class="services-front">
												<figcaption></figcaption>
												<img class="img-responsive" src="<?php echo esc_url(get_template_directory_uri().'/images/service.jpg');?>" alt="services" />											
												<h3>Classic Rooms</h3>
												<!-- <p>There are many variations of passages of ipsum available but the majority red.</p> -->
												<?php
												$homepageservicesbutton = get_theme_mod('luzuk_them_homepageservices_txt', 'READ MORE'); 
												?>
												<?php if( get_theme_mod('homepageservices_button_display','show' ) == 'show') :
													?>	
													<a href="" class="site-button"><?php echo ($homepageservicesbutton );  ?> <i class="fa fa-caret-right" aria-hidden="true"></i></a>
												<?php endif ?>
											</div>
									
										</div> 
									</div>
									<!-- </div> -->
									<?php 
								}
							} ?>
						</div>	
						<div class="clearfix"></div>
					</div>
					<?php if( get_theme_mod('servicesbottomcolor_button_display','show' ) == 'show') :
									?>	
					<div class="bottm-box"></div>
					<?php endif ?>
					<div class="clearfix"></div>
				</div><!--end lightbox-->
				
			</section>
			<script>
				jQuery.noConflict();
				$(function(){
					function ourhomepageservicesh3Height(){
						var ht = 0;
						$('section#ct-service-box .our-homepage-services h3').each(function(i){
							var tHt = $(this).height();
							if(ht<tHt){
								ht=tHt;
							}
						});
						$('section#ct-service-box .our-homepage-services h3').height(ht+'px');
					}
					ourhomepageservicesh3Height();
				});
				$( window ).resize(function(){
					ourhomepageservicesh3Height();
				});
			</script>

		<?php }

